<!DOCTYPE html>
<html>
  <head>
    <title>RailsSampleShop</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <div class="header">
      <div class="container">
        <ul class="menu">
          <li>
            <%= link_to 'Home', root_path %>
          </li>
          <% if user_signed_in? %>
            <li>
              <%= link_to 'New Product', new_product_path %>
            </li>
            <li>
              <%= current_user.email %>
            </li>
            <li>
              <%= link_to('Logout', destroy_user_session_path, method: :delete) %>
            </li>
          <% else %>
            <li>
              <%= link_to('Login', new_user_session_path) %>
            </li>
            <li>
              <%= link_to('Sign up', new_user_registration_path) %>
            </li>
          <% end %>
        </ul>
      </div>
    </div>

    <div class="container">
      <%- if notice %>
        <p id="notice" class="notice"><%= notice %></p>
      <% end %>

      <%- if alert %>
        <p class="alert"><%= alert %></p>
      <% end %>

      <div class="content">
        <%= yield %>
      </div>
    </div>
  </body>
</html>
